part of '../zego_signaling_plugin_interface.dart';

/// @nodoc
mixin ZegoSignalingPluginMessageAPI {
  Future<ZegoSignalingPluginInRoomTextMessageResult> sendInRoomTextMessage({
    required String roomID,
    required String message,
  });

  Future<ZegoSignalingPluginInRoomCommandMessageResult> sendInRoomCommandMessage({
    required String roomID,
    required Uint8List message,
  });
}

/// @nodoc
mixin ZegoSignalingPluginMessageEvent {
  Stream<ZegoSignalingPluginInRoomTextMessageReceivedEvent>
      getInRoomTextMessageReceivedEventStream();

  Stream<ZegoSignalingPluginInRoomCommandMessageReceivedEvent>
      getInRoomCommandMessageReceivedEventStream();
}
