part of '../zego_signaling_plugin_interface.dart';

/// @nodoc
mixin ZegoSignalingPluginNotificationAPI {
  Future<ZegoSignalingPluginEnableNotifyResult>
      enableNotifyWhenAppRunningInBackgroundOrQuit({
    bool? isIOSSandboxEnvironment,
    bool enableIOSVoIP = true,
    ZegoSignalingPluginMultiCertificate certificateIndex =
        ZegoSignalingPluginMultiCertificate.firstCertificate,
    String appName = '',
    String androidChannelID = '',
    String androidChannelName = '',
    String androidSound = '',
  });

  Future<void> addLocalNotification(
    ZegoSignalingPluginOutgoingNotificationConfig config,
  );

  Future<void> createNotificationChannel(
    ZegoSignalingPluginOutgoingNotificationChannelConfig config,
  );

  Future<void> dismissAllNotifications();

  Future<void> activeAppToForeground();

  Future<void> requestDismissKeyguard();
}

/// @nodoc
mixin ZegoSignalingPluginNotificationEvent {
  Stream<ZegoSignalingPluginNotificationRegisteredEvent>
      getNotificationRegisteredEventStream();

  Stream<ZegoSignalingPluginNotificationArrivedEvent>
      getNotificationArrivedEventStream();

  Stream<ZegoSignalingPluginNotificationClickedEvent>
      getNotificationClickedEventStream();
}
