import 'dart:core';
import 'dart:typed_data';

import 'package:flutter/foundation.dart';
import 'package:zego_plugin_adapter/src/defines.dart';
import 'package:zego_plugin_adapter/src/signaling/zego_signaling_plugin_defines.dart';
import 'package:zego_plugin_adapter/src/signaling/zego_signaling_plugin_enums.dart';
import 'package:zego_zpns/zego_zpns.dart';

part 'part/zego_signaling_plugin_background_message.dart';
part 'part/zego_signaling_plugin_callkit.dart';
part 'part/zego_signaling_plugin_invitation.dart';
part 'part/zego_signaling_plugin_message.dart';
part 'part/zego_signaling_plugin_notification.dart';
part 'part/zego_signaling_plugin_room.dart';
part 'part/zego_signaling_plugin_user.dart';

/// @nodoc
/// For all apis and events, See mixins.
abstract class ZegoSignalingPluginInterface
    with
        ZegoSignalingPluginRoomAPI,
        ZegoSignalingPluginRoomEvent,
        ZegoSignalingPluginInvitationAPI,
        ZegoSignalingPluginInvitationEvent,
        ZegoSignalingPluginUserAPI,
        ZegoSignalingPluginUserEvent,
        ZegoSignalingPluginNotificationAPI,
        ZegoSignalingPluginNotificationEvent,
        ZegoSignalingPluginMessageAPI,
        ZegoSignalingPluginMessageEvent,
        ZegoSignalingPluginBackgroundMessageAPI,
        ZegoSignalingPluginBackgroundMessageEvent,
        ZegoSignalingPluginCallKitAPI,
        ZegoSignalingPluginCallKitEvent,
        IZegoUIKitPlugin {
  Future<void> init({required int appID, String appSign = ''});

  Future<void> uninit();

  /// get error event stream
  Stream<ZegoSignalingPluginErrorEvent> getErrorEventStream();
}
